﻿#Import-Module sqlserver

$SQLCompare="C:\Program Files (x86)\Red Gate\SQL Compare 12\sqlcompare.exe"
$SQLDataGenerator="C:\Program Files (x86)\Red Gate\SQL Data Generator 3\SQLDataGenerator.exe"

$SQLInstance = 'WIN-3SRG45GBF97\dojo'
$DbName = 'MovieManagementQA'
$BuSource = 'C:\backup\mm.bak'

$AllArgs = @("/server2:$($SqlInstance)","/database2:$($DBName)","/Backup1:$BuSource",'/synch','/force')
$Project = 'C:\Users\Grant\Documents\MovieManagement.sqlgen'
$DataArgs = @("/server:$($SqlInstance)","/database:$($DBName)","/project:$Project")

#Create a new database
Invoke-Sqlcmd -Query "CREATE DATABASE $($DbName);" -ServerInstance $SQLInstance

#Create MovieManagement Structure
&$SQLCompare $AllArgs

#Load Simulated Data
&$SQLDataGenerator $DataArgs

